Bug 1564710 - mongo-tools-4.0.1 is available
Summary: mongo-tools-4.0.1 is available
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mongo-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrik Novotný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 00:24 UTC by Upstream Release Monitoring
Modified: 2020-04-21 10:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-21 10:29:25 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-04-07 00:24:54 UTC
Latest upstream release: 3.6.4
Current version/release in rawhide: 3.6.3-0.2.20180319git2b10d84.fc29
URL: https://github.com/mongodb/mongo-tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6369/

Comment 1 Upstream Release Monitoring 2018-05-13 12:21:22 UTC
Latest upstream release: 3.6.5
Current version/release in rawhide: 3.6.3-0.3.20180319git2b10d84.fc29
URL: https://github.com/mongodb/mongo-tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6369/

Comment 2 Upstream Release Monitoring 2018-05-23 00:23:37 UTC
Latest upstream release: 4.0.0
Current version/release in rawhide: 3.6.3-0.3.20180319git2b10d84.fc29
URL: https://github.com/mongodb/mongo-tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6369/

Comment 3 Upstream Release Monitoring 2018-07-25 00:22:58 UTC
Latest upstream release: 4.0.1
Current version/release in rawhide: 3.6.3-0.3.20180319git2b10d84.fc29
URL: https://github.com/mongodb/mongo-tools

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6369/

Comment 4 Javier Alejandro Castro 2018-11-10 18:38:20 UTC
Please publish the update to v4.0.1; I'm. using mongo v4, and since upgrading to F29 I can't run proper backups! I've found the 3.6 tools are incompatible with v4

Comment 5 Matt Hirsch 2018-11-20 04:22:01 UTC
Yes, is it possible to bump the priority on this bug? Shipping mongo 4.0 and mongo-tools 3.6 is bad. There's no way to backup the database or migrate to WiredTiger, as MMAPv1 is deprecated in mongo 4.0

I get error messages that say 

Unrecognized field 'snapshot'.

when trying to run mongodump on my mongo 4.0 database.

Comment 6 Fedora Update System 2018-11-26 12:52:42 UTC
mongo-tools-4.0.4-2.20181124git0f0d866.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8735feef3b

Comment 7 Marek Skalický 2018-11-26 12:54:43 UTC
Sorry that the update took so long.

mongo-tools 4.0.4 are now available in Fedora Rawhide and in F29 update (see previous comment). Please test it.

Comment 8 Fedora Update System 2018-11-27 05:13:48 UTC
mongo-tools-4.0.4-2.20181124git0f0d866.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8735feef3b

Comment 9 Fedora Update System 2018-12-04 13:11:57 UTC
mongo-tools-4.0.4-4.20181124git0f0d866.fc29 golang-github-google-gopacket-1.1.15-1.fc29 golang-github-xdg-stringprep-0-0.2.20181130git73f8eec.fc29 golang-github-mdlayher-raw-0-0.2.20181130gitfa5ef33.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b8e40e628

Comment 10 Fedora Update System 2018-12-05 03:54:13 UTC
golang-github-google-gopacket-1.1.15-1.fc29, golang-github-mdlayher-raw-0-0.2.20181130gitfa5ef33.fc29, golang-github-xdg-stringprep-0-0.2.20181130git73f8eec.fc29, mongo-tools-4.0.4-4.20181124git0f0d866.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b8e40e628

Comment 12 Patrik Novotný 2020-04-21 10:29:25 UTC
Closing as mongo-tools has been dropped from Fedora.


Note You need to log in before you can comment on or make changes to this bug.